Bug 450874 - USB hard drive journal failure, slow operation, can't fsck
USB hard drive journal failure, slow operation, can't fsck
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
8
i386 Linux
low Severity high
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-06-11 11:02 EDT by William H. Haller
Modified: 2009-01-09 01:35 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-09 01:35:13 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Kernel boot information on new and old kernel along with posted kernel errors (75.97 KB, text/plain)
2008-06-11 11:02 EDT, William H. Haller
no flags Details

  None (edit)
Description William H. Haller 2008-06-11 11:02:25 EDT
Description of problem: Newest kernel release fails to properly handle USB 160 
GB hard drive. Attached, please find boot information from the latest kernel 
boot, journal failure message and boot information from previous kernel.

Additionally, the drive operational speed dropped drastically and an fsck on 
the drive failed.


Version-Release number of selected component (if applicable):

kernel-2.6.25.4-10.fc8

Works on kernel-2.6.24.7-92.fc8

How reproducible: Didn't want to try reproducing the problem, sorry. Reboot to 
the old kernel cured all the ills - fsck succeeded with no errors reported, 
speed normal.


Steps to Reproduce:
1.
2.
3.
  
Actual results: USB driver seems broken on new kernel at least for this drive


Expected results: Working USB drives


Additional info:
Comment 1 William H. Haller 2008-06-11 11:02:25 EDT
Created attachment 308938 [details]
Kernel boot information on new and old kernel along with posted kernel errors
Comment 2 Pete Zaitcev 2008-06-11 18:40:54 EDT
I'm reporting this upstream right now. Clearly a regression in EHCI.

Chuck, please don't reassign this to me yet. It's my bug, but I'm really
busy with usb-serial and things... Sorry. I'll take this later.

Meanwhile maybe Alan Stern & David-B would know something about this.
Comment 3 William H. Haller 2008-07-08 16:23:13 EDT
Seems to work ok on both kernel-2.6.25.6-27.fc8 and kernel-2.6.25.9-40.fc8 
although there's limited runtime on the last one.
Comment 4 Bug Zapper 2008-11-26 05:50:57 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Bug Zapper 2009-01-09 01:35:13 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.